Bug 1028905 - [zh_CN]'Chinese<->English' switch does not work when clicking on the Intelligent Pinyin menu list.
Summary: [zh_CN]'Chinese<->English' switch does not work when clicking on the Intellig...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 20
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: i18n
Depends On:
Blocks: 1028911 1034038
TreeView+ depends on / blocked
 
Reported: 2013-11-11 08:02 UTC by Lijun Li
Modified: 2013-11-25 06:39 UTC (History)
5 users (show)

Fixed In Version: ibus-libpinyin-1.6.92-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1028911 (view as bug list)
Environment:
Last Closed: 2013-11-23 19:45:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Chinese-English switch (117.73 KB, image/png)
2013-11-11 08:07 UTC, Lijun Li
no flags Details

Description Lijun Li 2013-11-11 08:02:30 UTC
Description of problem:
'Chinese<->English' switch does not work when clicking on the Intellignet Pinyin menu list.

Version-Release number of selected component (if applicable):
libpinyin-0.9.93-2.fc20.x86_64
libpinyin-data-0.9.93-2.fc20.x86_64
ibus-libpinyin-1.6.92-1.fc20.x86_64
ibs-chewing-1.4.3-4.fc20.x86_64
libchewing-0.3.4-4.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install latest Fedora20 tc6 build.
2. Add an input source which has (Intelligent Pinyin) in the name. 
3. Click on the Intelligent Pinyin menu on the top right of desktop.
4. Click on Chines/English (中CN/英EN, 中/英)from the list to switch the input of 'Chinese-English'.

Actual results:
'Chinese<->English' switch does not work when clicking on the Intellignet Pinyin menu list.

Expected results:
It should auto switch for 中CN/英EN, 中/英.

Additional info:
Please see the attached screenshot.

Comment 1 Lijun Li 2013-11-11 08:07:34 UTC
Created attachment 822316 [details]
Chinese-English switch

Comment 2 Fedora Update System 2013-11-13 07:50:15 UTC
ibus-libpinyin-1.6.92-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.6.92-2.fc20

Comment 3 Fedora Update System 2013-11-13 07:50:26 UTC
ibus-libpinyin-1.6.92-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.6.92-2.fc19

Comment 4 Fedora Update System 2013-11-14 03:37:14 UTC
Package ibus-libpinyin-1.6.92-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-libpinyin-1.6.92-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21292/ibus-libpinyin-1.6.92-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-11-23 19:45:45 UTC
ibus-libpinyin-1.6.92-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-11-24 03:50:10 UTC
ibus-libpinyin-1.6.92-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.